Name: fluxbox
Version: 0.1.14
Release: alt3.1

Summary: A Window Manager for the X Window System
Summary(ru_RU.KOI8-R):     X Window System
License: MIT
Group: Graphical desktop/Other
Url: http://%name.sourceforge.net/

Packager: Anton V. Denisov <avd@altlinux.ru>

Source0: http://prdownloads.sourceforge.net/fluxbox/%name-%version.tar.bz2
Source1: bsetbg.1
Source2: %name-icons.tar.bz2
Source3: %name.menu
Source4: %name.menu-method
Source5: %name.wmsession
Source6: %name-addons.tar.bz2
Source7: %name.alternatives

Patch0: %name-0.1.12-alt-fonts.patch
Patch1: %name-0.1.13-alt-configure-genmenu.patch
Patch2: %name-0.1.12-alt-init.patch
Patch3: %name-0.1.10-alt-translation.patch
Patch4: remember-%version.gz

Conflicts: blackbox <= 0.62.0-alt6

PreReq: alternatives >= 0.0.6

BuildPreReq: rpm-build >= 4.0.4-alt10, automake = 1.4, autoconf = 2.13
# Automatically added by buildreq on Fri Jul 18 2003
BuildRequires: XFree86-devel-static fontconfig-devel freetype2-devel gcc-c++ glibc-devel-static libalternatives-devel libexpat-devel libstdc++-devel-static zlib-devel

%description
Fluxbox is yet another windowmanager for X.  It's based on the Blackbox 0.61.1 code. Fluxbox looks like blackbox and handles styles, colors, window placement and similar thing exactly like blackbox (100% theme/style compatibility). So what's the difference between fluxbox and blackbox then?  The answer is: LOTS! Have a look at the homepage for more info ;-)
NOTICE:
This package supports the ALTLinux menu system, so if you don't want to use system menu, you need to alter the ~/.fluxbox/init file.

%description -l ru_RU.KOI8-R
Fluxbox  ݣ      X.     Blackbox 0.61.1. Fluxbox   blackbox   , ,        blackbox (100%  /).   ޣ     fluxbox  blackbox? :  !    ģ    ;-)

:
      ALTLinux,       ,      ~/.fluxbox/init.

%prep
%setup -q
%setup -q -T -D -a2
%setup -q -T -D -a6
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
#%__libtoolize --copy --force
#%__aclocal
#autoconf

%set_automake_version 1.4
%set_autoconf_version 2.13
%configure \
	--prefix=%_x11dir \
	--bindir=\${prefix}/bin \
	--mandir=\${prefix}/man \
	--datadir=\${prefix}/share \
	--libexecdir=\${prefix}/lib/X11 \
	--sysconfdir=%_sysconfdir/X11/%name \
	--enable-kde \
	--enable-gnome \
	--enable-nls \
	--enable-xinerama \
	--enable-xmb

%make_build DEFAULT_MENU=%_x11datadir/%name/menu \
	    DEFAULT_STYLE=%_x11datadir/%name/styles/Makro

%install
%__mkdir_p %buildroot%_x11dir
%make_install install DESTDIR=%buildroot

# trick to include menu in %%files (why we don't have %%__touch macro?)
touch %buildroot%_x11datadir/%name/menu

%__mv data/README data/README.data
%__mv %buildroot%_x11bindir/bsetbg %buildroot%_x11bindir/bsetbg-%name
%__mv %buildroot%_x11bindir/bsetroot %buildroot%_x11bindir/bsetroot-%name
%__mv %buildroot%_x11mandir/man1/bsetroot.1 %buildroot%_x11mandir/man1/bsetroot-%name.1
# icons
%__install -pD -m 644 %name-64.xpm %buildroot%_iconsdir/FluxBox.xpm
%__install -pD -m 644 %name-48.xpm %buildroot%_liconsdir/%name.xpm
%__install -pD -m 644 %name-32.xpm %buildroot%_iconsdir/%name.xpm
%__install -pD -m 644 %name-16.xpm %buildroot%_miconsdir/%name.xpm

%__install -pD -m 644 %SOURCE1 %buildroot%_x11mandir/man1/bsetbg-%name.1
%__install -pD -m 644 %SOURCE3 %buildroot%_menudir/%name
%__install -pD -m 755 %SOURCE4 %buildroot%_sysconfdir/menu-methods/%name
%__install -pD -m 644 %SOURCE5 %buildroot%_sysconfdir/X11/wmsession.d/07%name
%__install -pD -m 644 %SOURCE7 %buildroot%_altdir/%name

%post
%update_menus
%update_wms
%register_alternatives %name -- bsetbg bsetbg.1.gz bsetroot bsetroot.1.gz

# Default menu moved to /usr/X11R6/share/%name/menu
if [ -d %_sysconfdir/X11/%name/ ]; then
    rm -rf %_sysconfdir/X11/%name/
fi

%preun
%unregister_alternatives %name

%postun
%clean_menus
%clean_wms

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO data/README*
%doc doc/Coding_style FAQ convertkeys

%_x11bindir/*
%_x11mandir/man1/*
%_x11datadir/%name
%_menudir/%name
%_liconsdir/%name.xpm
%_iconsdir/%name.xpm
%_iconsdir/FluxBox.xpm
%_miconsdir/%name.xpm

%config(noreplace) %_sysconfdir/menu-methods/*
%config %_sysconfdir/X11/wmsession.d/*
%_altdir/%name

%changelog
* Fri Jul 18 2003 Anton V. Denisov <avd@altlinux.org> 0.1.14-alt3.1
- Buildrequires updated on current Sisyphus.

* Mon Jun 23 2003 Anton V. Denisov <avd@altlinux.org> 0.1.14-alt3
- %%files section fixed (%_x11datadir/%name was unowned).
- BuildPreReq updated.
- minor spec file cleanups and macroszification.
- TODO: alternatives macrosez, %%configure improve,
	relocate menu from /usr;

* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.14-alt2.2
- new alternatives config format

* Tue Mar 25 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.14-alt2.1
- move to new alternatives scheme

* Wed Feb 12 2003 Anton V. Denisov <avd@altlinux.ru> 0.1.14-alt2
- Remember patch from Xavier Brouckaert added (some nice features).
- Explicitly use autoconf-2.13 and automake-1.4 for build.
- %%configure with --enable-xmb.
- bsetbg.1 moved under update-alternatives control.

* Tue Nov 12 2002 Anton V. Denisov <avd@altlinux.ru> 0.1.14-alt1
- New version 0.1.14 (many bugfixes and new features).
- Summary and description in CP1251 removed.
- Some patches regenerated for new version.
- BuildRequires updated (but not for current Sisyphus).
- TODO is still todo.

* Tue Sep 24 2002 Anton V. Denisov <avd@altlinux.ru> 0.1.12-alt1
- New version 0.1.12
- Some patches removed.
- Some patches regenerated for new version.
- Specfile cleaned up.
- Patches renamed.
- %%description formated.
- %%doc updated.
TODO:
	- Nls in CP1251 encoding.
	- Move some patches to mainstream.
	- Real fix for gencat and ja_JP messages.

* Mon Jul 15 2002 Anton V. Denisov <avd@altlinux.ru> 0.1.10-alt1
- New version 0.1.10
- Some patches removed (because in mainstream now).
- Some patches regenerated for new version.

* Fri Jun 14 2002 Anton V. Denisov <avd@altlinux.ru> 0.1.9-alt2
- %name-0.1.9-bugfix2.patch applied.

* Sun Jun 02 2002 Anton V. Denisov <avd@altlinux.ru> 0.1.9-alt1
- New version 0.1.9
- Some patches removed (because in mainstream now).
- Some patches regenerated for new version.
- Translation updated (desktop wheeling).
- Added Summary & Description in ru_RU.{KOI8-R,CP1251}.
- FAQ & convertkeys added to %doc.

* Sun May 19 2002 Anton V. Denisov <avd@altlinux.ru> 0.1.8-alt3
- Some spec modification (thanks to Stanislav Ievlev).
- Add notice about menu system to description.
- Patch6 applied (we need a correct buildrequires list).
- Automatically added BuildRequires in Sisyphus environment.
- Default menu moved to /usr/X11R6/share/fluxbox/menu .
- Default style changed to Makro (we aren't blackbox ;-)).
- Translation updated (workspace warping).
- Patch7 applied (save resources after theme change. My work ;-)).

* Thu May 02 2002 Anton V. Denisov <avd@altlinux.ru> 0.1.8-alt2
- Sources reorganized.
- .wmsession file fixed (thanks to wm-select tool).
- Icons converted to XPM (compatibility).
- Some spec cleanup (thanks to cleanup_spec tool).
- Icon for WMManager removed.
- Patch %name-0.1.8-bugfix2.patch applied.
- %%preun added (for update-alternatives --remove).
- Conflicts: blackbox <= 0.62.0-alt6 added.

* Sun Apr 28 2002 Anton V. Denisov <avd@altlinux.ru> 0.1.8-alt1
- Initial release for Sisyphus.
  Thanks to:
    AEN <aen@altlinux.ru> for his blackbox .rpm package.
    Matt Hope (Dopey) <dopey@quickstix.com.au> for his fluxbox .deb package.
    Han Boetes <han@mijncomputer.nl> for his fluxbox .rpm package.
